POST /launcher/get-channel-messages
Retrieve messages from a specific channel

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
channelId string REQUIRED
limit integer
skip integer

Responses

200 Successful response
application/json
total integer
limit integer
skip integer
data object[]
Array of:
_id string
channelId string
senderId string
content string
createdAt integer (int64)
updatedAt integer (int64)
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/get-channel-messages' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "channelId": "string",  "limit": 30,  "skip": 0}'
const response = await fetch('https://api.basement.fun/launcher/get-channel-messages', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "channelId": "string",    "limit": 30,    "skip": 0  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/get-channel-messages', json={  "launcherJwt": "string",  "channelId": "string",  "limit": 30,  "skip": 0})print(response.json())
200 Response
{  "total": 123,  "limit": 123,  "skip": 123,  "data": [    {      "_id": "<string>",      "channelId": "<string>",      "senderId": "<string>",      "content": "<string>",      "createdAt": 123,      "updatedAt": 123    }  ]}
Ask a question... ⌘I